package com.ruoyi.project.zt.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 邻井-钻头得分综合对象 lj_ztdfzh
 * 
 * @author ruoyi
 * @date 2025-06-30
 */
public class LjZtdfzh extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 开次 */
    @Excel(name = "开次")
    private String kc;

    /** 钻头型号 */
    @Excel(name = "钻头型号")
    private String ztxh;

    /** 钻头尺寸 */
    @Excel(name = "钻头尺寸")
    private Double cc;

    /** 进尺得分 */
    @Excel(name = "进尺得分")
    private Double jcdf;

    /** 机速得分 */
    @Excel(name = "机速得分")
    private Double jsdf;

    /** 综合得分 */
    @Excel(name = "综合得分")
    private Double zhdf;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setKc(String kc) 
    {
        this.kc = kc;
    }

    public String getKc() 
    {
        return kc;
    }

    public void setZtxh(String ztxh) 
    {
        this.ztxh = ztxh;
    }

    public String getZtxh() 
    {
        return ztxh;
    }

    public void setCc(Double cc) 
    {
        this.cc = cc;
    }

    public Double getCc() 
    {
        return cc;
    }

    public void setJcdf(Double jcdf) 
    {
        this.jcdf = jcdf;
    }

    public Double getJcdf() 
    {
        return jcdf;
    }

    public void setJsdf(Double jsdf) 
    {
        this.jsdf = jsdf;
    }

    public Double getJsdf() 
    {
        return jsdf;
    }

    public void setZhdf(Double zhdf) 
    {
        this.zhdf = zhdf;
    }

    public Double getZhdf() 
    {
        return zhdf;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("kc", getKc())
            .append("ztxh", getZtxh())
            .append("cc", getCc())
            .append("jcdf", getJcdf())
            .append("jsdf", getJsdf())
            .append("zhdf", getZhdf())
            .toString();
    }
}
